Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.business.mycarenetdomaincommons.builders.util
Class GeneralRoutingBuilder

    java.lang.Object
      be.ehealth.business.mycarenetdomaincommons.builders.util.GeneralRoutingBuilder

    public final class GeneralRoutingBuilder

extends Object

builds the `Routing` object.

Method Summary
`GeneralRoutingBuilder` | `addCareReceiver(CareReceiverId careReceiver)`
`GeneralRoutingBuilder` | `addCareReceiverForMutualityIdAndMutuality(String mutualityId, String mutuality)`
`GeneralRoutingBuilder` | `addCareReceiverForSsin(String ssin)`
`GeneralRoutingBuilder` | `addPeriod(org.joda.time.DateTime begin, org.joda.time.DateTime end)`
`GeneralRoutingBuilder` | `addReferenceDate(org.joda.time.DateTime referenceDate)`
`Routing` | `build()`
`static GeneralRoutingBuilder` | `create()`
`static GeneralRoutingBuilder` | `createFullForNissAndCurrentReferenceDate(String ssin)`
`GeneralRoutingBuilder` | `disableValidation()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### disableValidation

    public GeneralRoutingBuilder disableValidation()

### addPeriod

    public GeneralRoutingBuilder addPeriod(org.joda.time.DateTime begin,
                                           org.joda.time.DateTime end)

### addReferenceDate

    public GeneralRoutingBuilder addReferenceDate(org.joda.time.DateTime referenceDate)

### addCareReceiverForSsin

    public GeneralRoutingBuilder addCareReceiverForSsin(String ssin)

### addCareReceiverForMutualityIdAndMutuality

    public GeneralRoutingBuilder addCareReceiverForMutualityIdAndMutuality(String mutualityId,
                                                                           String mutuality)

### addCareReceiver

    public GeneralRoutingBuilder addCareReceiver(CareReceiverId careReceiver)

### create

    public static GeneralRoutingBuilder create()

### createFullForNissAndCurrentReferenceDate

    public static GeneralRoutingBuilder createFullForNissAndCurrentReferenceDate(String ssin)

### build

    public Routing build()
                  throws ConnectorValidationException

  Throws:
    `ConnectorValidationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.